Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.AvatarGenerator.Default

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatRenderer.AvatarGenerator.Default

All Implemented Interfaces:
  `ChatRenderer.AvatarGenerator`

Enclosing interface:
  `ChatRenderer.AvatarGenerator`

public static final class ChatRenderer.AvatarGenerator.Default extends Object implements ChatRenderer.AvatarGenerator

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ChatRenderer.AvatarGenerator.Default.Factory`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.chat.ChatRenderer.AvatarGenerator

`ChatRenderer.AvatarGenerator.Default`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.ui.chat.ChatRenderer.AvatarGenerator

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`Default(String colorClass)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Default

public Default(String colorClass)

## Method Details

### generateAvatar

public void generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)

Specified by:
  `generateAvatar` in interface `ChatRenderer.AvatarGenerator`

### toString

public String toString()

Overrides:
  `toString` in class `Object`